SDL_ReadProcess(3)

NAME
SDL_ReadProcess - Read all the output from a process.

SYNOPSIS
#include <SDL3/SDL_process.h>

void * SDL_ReadProcess(SDL_Process *process, size_t *datasize, int *exitcode);

DESCRIPTION
If a process was created with I/O enabled, you can use this function to read the output. This function blocks until the process is complete, capturing all output, and providing the process exit code.

The data is allocated with a zero byte at the end (null terminated) for convenience. This extra byte is not included in the value reported via datasize.

The data should be freed with SDL_free().

FUNCTION PARAMETERS

process
    The process to read.

datasize
    a pointer filled in with the number of bytes read, may be NULL.

exitcode
    a pointer filled in with the process exit code if the process has exited, may be NULL.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateProcess(3), SDL_CreateProcessWithProperties(3), SDL_DestroyProcess(3)